var selected = [];

$(document).ready(function () {
    $(".chosen-select").chosen({width: "100%"});
    $("#sortable").sortable();
    $("#sortable").disableSelection();
    $(function () {
        $("ol.example").sortable();
    });
});

function checkTodos() {
    selected = $(".chosen-select").val();
    if ($.inArray('X', selected) != -1) {
        var e = confirm("Se encuentra seleccionada la opcion todos, ¿Está seguro?");
        if (e == true) {
            $('.chosen-select').val('X');
            $('.chosen-select').trigger("chosen:updated");
            selected = 'todos';
        } else {
            $('.chosen-select').val('');
            $('.chosen-select').trigger("chosen:updated");
        }
    }
}

function mandarAforzar() {
    var funciones = [];
    var arr = $(".example").children();
    $.each(arr, function (index, item) {
        funciones.push($(item).data('func'));
    });
    if (selected.length > 0) {
        var a = confirm("Esta seguro que desea forzar la sincronizacion de los locales seleccionados");
        if (a == true) {
            $.ajax({
                url: url_forzar + '/action/setSyncLocales',
                data: {
                    locales: selected,
                    funciones: funciones
                },
                dataType: 'text',
                type: "post",
                success: function (data) {
                    alert(data);
                    window.location.reload();
                }
            });
        } else {

        }
    } else {
        alert("Debe seleccionar, al menos, un local");
    }
}